Page MenuHomePhabricator

upgrade kibana to v5.3.3
Closed, ResolvedPublic

Description

Let's keep up to date!

Side note, upgrading to 5.4.x requires upgrading elasticsearch as well, we'll do this only when the other elasticsearch clusters are ready to be upgraded as well.

Details

Related Gerrit Patches:
operations/puppet : productionUpgrade kibana to v5.3.3

Event Timeline

Gehel created this task.Jun 7 2017, 8:36 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 7 2017, 8:36 AM

Change 357565 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] Upgrade kibana to v5.3.3

https://gerrit.wikimedia.org/r/357565

Change 357565 merged by Gehel:
[operations/puppet@production] Upgrade kibana to v5.3.3

https://gerrit.wikimedia.org/r/357565

Gehel added a comment.Jun 7 2017, 9:22 AM

kibana 5.3.3 is now uploaded to reprero

Mentioned in SAL (#wikimedia-operations) [2017-06-07T09:28:58Z] <gehel> upgrading kibana to v5.3.3 on logstash cluster - T167266

Kibana is now upgraded on the production logstash cluster and in deployment-logstash2

Which is CVE-2017-8440 (just to have the ID indexed when searching for it in Phab)

debt triaged this task as High priority.Jun 9 2017, 7:43 PM
Paladox added a subscriber: Paladox.Jun 9 2017, 7:49 PM
Gehel reassigned this task from Gehel to debt.Jun 12 2017, 8:44 AM
Gehel added a subscriber: debt.

This is deployed and can be closed, assigning to @debt.

debt closed this task as Resolved.Jun 12 2017, 2:11 PM

Yay! Thanks @Gehel, it's been added to the weekly status report.